Bug 869700 - Dogtag install on F17 fails due to implicit tomcat 6 dependency
Dogtag install on F17 fails due to implicit tomcat 6 dependency
Status: CLOSED UPSTREAM
Product: Dogtag Certificate System
Classification: Community
Component: Tomcat (Show other bugs)
9.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dmitri Pal
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 11:20 EDT by Erik Logtenberg
Modified: 2015-01-04 18:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-08 03:48:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Logtenberg 2012-10-24 11:20:15 EDT
Description of problem:

Dogtag 9.0 depends on Tomcat. In F17, Tomcat 7 is pulled in by yum, but Dogtag doesn't work with Tomcat 7.

Dogtag should either explicitly depend on Tomcat 6 (which is still available for F17), or (preferably) should be made to function with Tomcat 7.

Version-Release number of selected component (if applicable):

pki-ca-9.0.21-1.fc17.noarch

How reproducible:
100%

Steps to Reproduce:
1. yum install pki-ca
2. Observe yum pulls in tomcat 7
3. Observe systemctl can't start Dogtag

4. Uninstall tomcat 7
5. Install tomcat6-* packages
6. Observe systemctl can start Dogtag correctly
Comment 1 Nathan Kinder 2012-10-29 14:15:56 EDT
Upstream ticket:
https://fedorahosted.org/pki/ticket/388
Comment 5 Andrew Wnuk 2012-11-01 17:57:05 EDT
Fix included in pki-core-9.0.24-1.fc17 and pki-core-9.0.24-1.fc16.
Comment 7 Erik Logtenberg 2014-08-08 03:48:35 EDT
Closing: this bug was fixed upstream and included in fedora quite some time ago.

Note You need to log in before you can comment on or make changes to this bug.